Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IChangeListener

public interface IChangeListener
This interface provides a mechanism whereby a custom UI sheet provider can register a class to manage addition and removal of UI sheets dynamically based on changes in the model.

Author:
  Actuate Corporation

## Method Summary

Modifier and Type
Method
Description
`void`
`chartModified(org.eclipse.birt.chart.model.Chart chartModel, IUIManager uiManager)`
`void`
`initialize(org.eclipse.birt.chart.model.Chart chartModel, IUIManager uiManager)`

## Method Details

### chartModified

void chartModified(org.eclipse.birt.chart.model.Chart chartModel, IUIManager uiManager)

### initialize

void initialize(org.eclipse.birt.chart.model.Chart chartModel, IUIManager uiManager)